scala.tools.nsc.CompilationUnits

# NoCompilationUnit

#### object NoCompilationUnit extends Global.CompilationUnit

An object representing a missing compilation unit.

Source
  CompilationUnits.scala

Linear Supertypes
Global.CompilationUnit, Global.CompilationUnitContextApi, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NoCompilationUnit
2. CompilationUnit
3. CompilationUnitContextApi
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var body: Global.Tree

   the content of the compilation unit in tree form

   the content of the compilation unit in tree form

   Definition Classes
     CompilationUnit → CompilationUnitContextApi

6. #### var checkedFeatures: Set[Global.Symbol]

   The features that were already checked for this unit

   The features that were already checked for this unit

   Definition Classes
     CompilationUnit

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def defined: HashSet[Global.Symbol]

   Definition Classes
     CompilationUnit

9. #### def depends: HashSet[Global.Symbol]

   Definition Classes
     CompilationUnit

10. #### def encounteredXml(pos: Global.Position): Unit

    Record that we encountered XML.

    Record that we encountered XML. Should only be called once.

    Attributes
      protected[scala.tools.nsc]
    Definition Classes
      CompilationUnit

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def exists: Boolean

    Definition Classes
      NoCompilationUnit → CompilationUnit

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def firstXmlPos: Global.Position

    Position of first XML literal in this unit.

    Position of first XML literal in this unit.

    Definition Classes
      CompilationUnit

16. #### implicit val fresh: FreshNameCreator

    the fresh name creator

    the fresh name creator

    Definition Classes
      CompilationUnit

17. #### def freshTermName(prefix: String = "x$"): Global.TermName

    Definition Classes
      CompilationUnit

18. #### def freshTypeName(prefix: String): Global.TypeName

    Definition Classes
      CompilationUnit

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hasXml: Boolean

    Does this unit contain XML?

    Does this unit contain XML?

    Definition Classes
      CompilationUnit

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### val icode: LinkedHashSet[Global.icodes.IClass]

    The icode representation of classes in this compilation unit.

    The icode representation of classes in this compilation unit. It is empty up to phase 'icode'.

    Definition Classes
      CompilationUnit

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### lazy val isJava: Boolean

    Is this about a .java source file?

    Is this about a .java source file?

    Definition Classes
      NoCompilationUnit → CompilationUnit

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def position(pos: Int): Position

    Definition Classes
      CompilationUnit

29. #### val source: SourceFile

    Definition Classes
      CompilationUnit → CompilationUnitContextApi

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### object synthetics

    Synthetic definitions generated by namer, eliminated by typer.

    Synthetic definitions generated by namer, eliminated by typer.

    Definition Classes
      CompilationUnit

32. #### def targetPos: Global.Position

    The position of a targeted type check If this is different from NoPosition, the type checking will stop once a tree that contains this position range is fully attributed.

    The position of a targeted type check If this is different from NoPosition, the type checking will stop once a tree that contains this position range is fully attributed.

    Definition Classes
      CompilationUnit

33. #### val toCheck: ListBuffer[() ⇒ Unit]

    things to check at end of compilation unit

    things to check at end of compilation unit

    Definition Classes
      CompilationUnit

34. #### def toString(): String

    Definition Classes
      NoCompilationUnit → CompilationUnit → AnyRef → Any

35. #### val transformed: AnyRefMap[Global.Tree, Global.Tree]

    Definition Classes
      CompilationUnit

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### final def comment(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) This method will be removed. It does nothing.

2. #### final def deprecationWarning(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.currentRun.reporting.deprecationWarning directly instead.

3. #### final def echo(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.reporter.echo directly instead.

4. #### final def error(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.reporter.error (or typer.context.error) directly instead.

5. #### final def uncheckedWarning(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.currentRun.reporting.uncheckedWarning directly instead.

6. #### final def warning(pos: Global.Position, msg: String): Unit

   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.2) Call global.reporter.warning (or typer.context.warning) directly instead.

### Inherited from Global.CompilationUnit

### Inherited from Global.CompilationUnitContextApi

### Inherited from AnyRef

### Inherited from Any

### Ungrouped